Skip to main content
GET
/
auth_configs
List Auth Configs
curl --request GET \
  --url https://api.stackone.com/auth_configs \
  --header 'Authorization: Basic <encoded-value>'
{
  "page": 123,
  "page_size": 123,
  "total": 123,
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "connector_key": "<string>",
      "connector_label": "<string>",
      "logo_url": "<string>",
      "categories": [
        "<string>"
      ],
      "active": true,
      "default": true,
      "release_stage": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "connector_version": "<string>",
      "connector_pinned_version": "<string>",
      "connector_owner": "<string>",
      "environment": "<string>",
      "authentication_config_key": "<string>",
      "authentication_config_label": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

page
number | null

The page number of the results to fetch

page_size
number | null
default:25

The number of results per page

enabled
boolean | null

Filter auth configs by their enabled state

Example:

true

connector_key
string | null

Filter auth configs by connector key

Example:

"salesforce"

Response

The list of auth configs was retrieved.

page
number
required

The current page number

page_size
number
required

The number of results per page

total
number
required

The total number of auth configs matching the query

data
object[]
required

The list of auth configs